# Models {#models}

RLPack provides a set of model training tools that can be used on the fly to train your agent. These 
tools leverage PyTorch implementations and provide an easy-to-use interface via RLPack. You can further
read about them below: 

### Table of Contents
- [In-Built Models](@ref models/in_built/index.md)
  - [Mlp](@ref models/in_built/mlp.md)
  - [ActorCriticMlpPolicy](@ref models/in_built/actor_critic_mlp_policy.md).

- [Activations](@ref models/activations.md).
- [Optimizers](@ref models/optimizers.md)
- [Loss Functions](@ref models/loss_functions.md)
- [LR Schedulers](@ref models/lr_schedulers.md).